curl --request GET \
--url https://api.deck.co/v2/credentials/{credential_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.deck.co/v2/credentials/{credential_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.deck.co/v2/credentials/{credential_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cred_AbC123xYz456",
"object": "<string>",
"status": "<string>",
"external_id": "<string>",
"source_id": "<string>",
"auth_method": "<string>",
"auth_credentials": {
"username": "<string>",
"source_fields": {},
"tokenized": [
"<string>"
]
},
"persistence": {
"enabled": true
},
"created_at": "2026-08-24T12:00:00Z",
"updated_at": "2026-08-24T12:00:00Z",
"request_id": "<string>"
}{
"errors": {},
"type": "<string>",
"title": "<string>",
"status": 123,
"traceId": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}{
"errors": [
{
"type": "<string>",
"code": "<string>",
"message": "<string>",
"field": "<string>"
}
],
"request_id": "<string>"
}Retrieve a credential
Returns a single credential by ID.
Authorizations
Secret key (sk_live_...)
Path Parameters
Unique identifier for the credential (prefixed with cred_).
^cred_"cred_AbC123xYz456"
Response
OK
Unique identifier for the credential, prefixed with cred_.
^cred_"cred_AbC123xYz456"
Always credential.
Credential status: unverified, verified, invalid, or deleted.
External identifier from your system, if set.
The source this credential authenticates against. Prefixed with src_.
Authentication method: username_password, source_fields, or none.
Summary of stored credentials. Sensitive values are not returned.
Show child attributes
Show child attributes
Persistence settings for this credential.
Show child attributes
Show child attributes
ISO 8601 timestamp of when the resource was created.
"2026-08-24T12:00:00Z"
ISO 8601 timestamp of when the resource was last updated.
"2026-08-24T12:00:00Z"
Unique identifier for the API request. Include this when contacting support.
Was this page helpful?